LIBTOOL.ECLASS(5)

NAME
libtool - fixes the libtool files that are distributed with some packages

DESCRIPTION
The libtool eclass provides an easy way to patch the libtool files that come with some packages. Often times these files are outdated and misbehave inside of the portage build environment.

VARIABLES
ELT_APPLIED_PATCHES This variable is exported by the libtool eclass. It contains a whitespace-delimited list of patches that were successfully applied.

FUNCTIONS

elibtoolize  [--portage] [--reverse-deps] [--patch-only] [--remove-internal-dep=DEP_TO_REMOVE] [--shallow]
    This function should be called from src_unpack. If called with no arguments, it will apply a default set of patches to all occurrences of ltmain.sh and then run libtoolize. The default set of patches are located in ${PORTDIR}/eclass/ELT-patches.

    --portage
        Apply the portage patch.

    --reverse-deps
        Apply the reverse dependencies patch. See http://bugzilla.gnome.org/show_bug.cgi?id=75635 for more information.

    --patch-only
        If specified, libtoolize will not be run if none of the patches apply.

    --remove-internal-deps=DEP_TO_REMOVE
        Replaces @REM_INT_DEP@ with DEP_TO_REMOVE.

    --shallow
        Instead of recursively patching all occurrences of ltmain.sh, only patch the ltmain.sh in ${S}.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/libtool.eclass

AUTHORS
Aaron Walker <ka0ttic@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/libtool.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $